# MeshDataStructure::TSmoothingGroup Class Reference

Inheritance diagram for MeshDataStructure::TSmoothingGroup:

List of all members.

## Public Member Functions
| TSmoothingGroup ()
int32 | GetPolygonCount ()
int32 | GetPolygonIndex (int32 i)
void | AddPolygonIndex (int32 polygonIndex)
void | SetPolygons (const TMCArray< int32 > &polygons)
int32 | GetPolygonCount () const
int32 | GetPolygonIndex (int32 index) const
void | SetNormal (const TVector3 &normal) const
| Sets the normal of the smoothing group.
const TVector3 & | GetNormal () const
| Returns the normal of the smoothing group.
TVector3 & | GetNormal ()
void | GenerateNormal (int32 vertexIndex, const TMCClassArray< TPolygon > &polygons, const TMCArray< TVector3 > &positions) const
void | GenerateNormal (int32 vertexIndex, const TMCClassArray< TQuad > &polygons, const TMCArray< TVector3 > &positions) const
boolean | Contains (int32 polygonIndex) const
## Protected Attributes
TVector3 | fNormal
TMCArray< int32 > | fPolygonsIndexes

## Constructor & Destructor Documentation

MeshDataStructure::TSmoothingGroup::TSmoothingGroup | ( |  | ) | `[inline]`

## Member Function Documentation

void MeshDataStructure::TSmoothingGroup::AddPolygonIndex | ( | int32 | polygonIndex | ) | `[inline]`

boolean MeshDataStructure::TSmoothingGroup::Contains | ( | int32 | polygonIndex | ) | const

void MeshDataStructure::TSmoothingGroup::GenerateNormal | ( | int32 | vertexIndex,
|  | const TMCClassArray< TQuad > & | polygons,
|  | const TMCArray< TVector3 > & | positions |
| ) |  |  | const

void MeshDataStructure::TSmoothingGroup::GenerateNormal | ( | int32 | vertexIndex,
|  | const TMCClassArray< TPolygon > & | polygons,
|  | const TMCArray< TVector3 > & | positions |
| ) |  |  | const

TVector3& MeshDataStructure::TSmoothingGroup::GetNormal | ( |  | ) | `[inline]`

const TVector3& MeshDataStructure::TSmoothingGroup::GetNormal | ( |  | ) | const`[inline]`

Returns the normal of the smoothing group.

int32 MeshDataStructure::TSmoothingGroup::GetPolygonCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TSmoothingGroup::GetPolygonCount | ( |  | ) | `[inline]`

int32 MeshDataStructure::TSmoothingGroup::GetPolygonIndex | ( | int32 | index | ) | const`[inline]`

int32 MeshDataStructure::TSmoothingGroup::GetPolygonIndex | ( | int32 | i | ) | `[inline]`

void MeshDataStructure::TSmoothingGroup::SetNormal | ( | const TVector3 & | normal | ) | const`[inline]`

Sets the normal of the smoothing group.

void MeshDataStructure::TSmoothingGroup::SetPolygons | ( | const TMCArray< int32 > & | polygons | ) | `[inline]`

## Member Data Documentation

TVector3 MeshDataStructure::TSmoothingGroup::fNormal`[mutable, protected]`

TMCArray<int32> MeshDataStructure::TSmoothingGroup::fPolygonsIndexes`[protected]`

The documentation for this class was generated from the following file:

- MeshDataStructure.h